<?php
rg_log("/inc/user/create");

$user_create_more = $more;
$_create = "";

if ($rg_account_allow_creation != 1) {
	// TODO: move this in a template
	$_create .= "This site does not allow account creation. Ask the Admin.";
	return;
}

$uid = 0;
$errmsg = array();
$show_form = 1;

if ($doit == 1) {
	$xuser = rg_var_str("xuser");
	$realname = rg_var_str("realname");
	$email = rg_var_str("email");
	$xpass = rg_var_str("xpass");
	$xpass2 = rg_var_str("xpass2");
	$session_time = rg_var_uint("session_time");

	do {
		if (strcmp($xpass, $xpass2) != 0) {
			$errmsg[] = "password are not the same";
			break;
		}

		$_ui = rg_user_info($db, 0, $xuser, "");
		if ($_ui['ok'] == 0) {
			$errmsg[] = "internal error (" . rg_user_error() . ")";
			break;
		}

		if ($_ui['exists'] == 1) {
			$errmsg[] = "user already exists";
			break;
		}

		$_u = array();
		$_u['uid'] = $uid;
		$_u['username'] = $xuser;
		$_u['realname'] = $realname;
		$_u['email'] = $email;
		$_u['pass'] = $xpass;
		$_u['is_admin'] = 0;
		$_u['disk_quota_mb'] = 100;
		$_u['rights'] = "C";
		$_u['session_time'] = $session_time;
		$_u['confirm_token'] = rg_id(20);
		if (rg_user_edit($db, $_u) === FALSE) {
			$errmsg[] = "Cannot add user (" . rg_user_error() . ").";
			break;
		}

		$r = rg_user_confirm_send($email, $_u['confirm_token']);
		if ($r === FALSE) {
			$errmsg[] = "Cannot send e-mail (" . rg_user_error() . ")!";
			break;
		}

		$show_form = 0;
		$_create .= rg_template("user/email_conf.html", $user_create_more);
	} while (0);
} else {
	$xuser = "";
	$realname = "";
	$email = "";
	$xpass = "";
	$xpass2 = "";
	$session_time = 3600;
}

if ($show_form == 1) {
	$create_mode = 1;
	$admin_mode = 0;
	$pass_mode = 2;
	include($INC . "/admin/users/user.form.php");
	$_create .= $_form;
}

?>
