<?php
rg_log("/inc/user/keys/keys");

$add_errmsg = array();
$del_errmsg = array();
$_my_more = $more;

$_keys = "";

$key = rg_var_str("key");
$key = preg_replace("|[^/A-Za-z0-9 @/+_\.\=,-]|", "", $key);
$key_id = rg_var_uint("key_id");
$key_delete_ids = rg_var_str("key_delete_ids");

// menu
$_url = rg_re_url($sparas);

if (rg_var_uint("add") == 1) {
	do {
		if (!rg_token_valid($db, $sid, $token)) {
			$add_errmsg[] = "Invalid token. Try again.";
			break;
		}

		$_r = rg_keys_add($db, $login_ui, $key);
		if ($_r === FALSE)
			$add_errmsg[] = rg_keys_error();
	} while (0);
} else if (rg_var_uint("delete") == 1) {
	do {
		if (!rg_token_valid($db, $sid, $token)) {
			$del_errmsg[] = "Invalid token. Try again.";
			break;
		}

		if (empty($key_delete_ids)) {
			$del_errmsg[] = "No key selected.";
			break;
		}

		if (rg_keys_remove_multi($db, $login_ui, $key_delete_ids) !== TRUE) {
			$del_errmsg[] = rg_keys_error();
			break;
		}
	} while (0);
}

$_my_more['HTML:add_errmsg'] = rg_template_errmsg($add_errmsg);
$_my_more['HTML:del_errmsg'] = rg_template_errmsg($del_errmsg);

$_my_more['HTML:add_form'] = rg_template("user/keys/add.html", $_my_more);

$keys_list = rg_keys_list($db, $login_ui);
if ($keys_list === FALSE)
	$_my_more['HTML:keys'] = rg_warning("Could not load keys. Try later."); // TODO
else
	$_my_more['HTML:keys'] = rg_template_table("user/keys/list", $keys_list, $_my_more);

$hints = array();
if ($rg_ssh_port != 0)
	$hints[]['HTML:hint'] = rg_template("hints/ssh/key.html", $_my_more);
$_my_more['HTML:hints'] = rg_template_table("hints/list", $hints, $_my_more);

$_my_more['rg_form_token'] = rg_token_get($db, $sid);
$_my_more['key'] = $key;

$_keys = rg_template("user/keys/main.html", $_my_more);
?>
