<?php
rg_log("/inc/user/repo/admin/edit/edit");

$_op = empty($paras) ? "" : array_shift($paras);

$_edit = "";
$repo_edit_more = $repo_admin_more;
$_url_admin_edit = $_url_admin . "/edit";

$errmsg = array();

$_show_form = 1;
if (strcmp($_op, "rename_done") == 0) {
	$_edit .= rg_ok("The repository was updated with success!");
	$_show_form = 0;
} else if ($doit == 1) {
	$repo_id = rg_var_uint("repo_id");
	$master_repo_id = 0;
	$name = rg_var_str("name");
	$max_commit_size = rg_var_uint("max_commit_size");
	$max_users = rg_var_uint("max_users");
	$description = rg_var_str("description");
	$rights = isset($_REQUEST['rights']) ? rg_rights_a2s($_REQUEST['rights']) : "";

	do {
		if (!rg_token_valid($db, $sid, $token)) {
			$errmsg[] = "Invalid token. Try again.";
			break;
		}

		// lookup user
		$_ui = rg_user_info($db, 0, $user, "");
		if ($_ui['ok'] != 1) {
			$errmsg[] = "internal error";
			break;
		} else if ($_ui['exists'] != 1) {
			$errmsg[] = "user [$user] does not exists";
			break;
		}

		$ri['name'] = $name; // TODO: filter name!
		$ri['max_commit_size'] = $max_commit_size;
		$ri['description'] = $description; // TODO: filter
		$ri['default_rights'] = $rights; // TODO: filter
		$ri['max_users'] = $max_users;
		$_r = rg_repo_update($db, $_ui, $ri);
		if ($_r === FALSE) {
			$errmsg[] = rg_repo_error();
			break;
		}

		$_edit .= rg_ok("The repository was updated with success!");
		$_show_form = 0;

		if ($_r['renamed'] == 1) {
			$_url = rg_re_repopage($login_ui, $name)
				. "/admin/edit/rename_done";
			rg_redirect($_url);
		}
	} while (0);
} else {
	// load variables
	$repo_id = $ri['repo_id'];
	$master_repo_id = 0;
	$name = $ri['name'];
	$rights = $ri['default_rights'];
	$max_commit_size = $ri['max_commit_size'];
	$max_users = $ri['max_users'];
	$description = $ri['description'];
}

if ($_show_form == 1) {
	if ($master_repo_id > 0) {
		$master_name = $master_repo_id;
		$_mi = repo_info($db, $master_repo_id, "");
		if ($_mi['exists'] == 1)
			$master_name = $_mi['name'];
		$repo_edit_more['master_name'] = $master_name;
	} else {
		$repo_edit_more['master_name'] = "";
	}

	$repo_edit_more['title'] = "Edit repository";
	$repo_edit_more['button'] = "Update";
	$repo_edit_more['name'] = $name;
	$repo_edit_more['max_commit_size'] = $max_commit_size;
	$repo_edit_more['max_users'] = $max_users;
	$repo_edit_more['description'] = $description;
	$repo_edit_more['master_repo_id'] = $master_repo_id;
	$repo_edit_more['HTML:rights'] = rg_rights_checkboxes("repo", $rights);
	$repo_edit_more['repo_id'] = $repo_id;
	$repo_edit_more['HTML:errmsg'] = rg_template_errmsg($errmsg);
	$repo_edit_more['rg_form_token'] = rg_token_get($db, $sid);
	$_edit .= rg_template("repo/add_edit.html", $repo_edit_more);
}

?>
