<?php
rg_log("/inc/user/repo/admin/rights/rights");

$repo_rights_more = $repo_admin_more;
$_rights = "";

$target_user = rg_var_str("target_user");
$rights = isset($_REQUEST['rights']) ? rg_rights_a2s(rg_var_str("rights")) : $rg_repo_rights_default;
$delete = rg_var_uint("delete");
$edit_uid = rg_var_uint("edit_uid");
$grant = rg_var_uint("grant");
$rights_delete_ids = rg_var_str("rights_delete_ids");

// we need it in forms
$repo_id = $ri['repo_id'];

$errmsg = array();
$del_errmsg = array();

$repo_rights_more['target_user'] = $target_user;
$repo_rights_more['rights'] = $rights;

while ($delete == 1) {
	if (!rg_token_valid($db, $sid, $token)) {
		$del_errmsg[] = "invalid token; try again";
		break;
	}

	if (empty($rights_delete_ids)) {
		$del_errmsg[] = "No user(s) selected.";
		break;
	}

	foreach ($rights_delete_ids as $remove_uid => $junk) {
		$e = rg_repo_rights_set($db, $ri, $remove_uid, "");
		if ($e !== TRUE) {
			$del_errmsg[] = rg_repo_error();
			break;
		}
	}

	break;
}

while ($edit_uid > 0) {
	$r = rg_repo_rights_get($db, $ri, $edit_uid, 0);
	if ($r['ok'] != 1) {
		$errmsg[] = "User does not exists";
		rg_log("User does not exists (" . rg_repo_error() . ")!");
		break;
	}

	// Find user name
	$target_ui = rg_user_info($db, $edit_uid, "", "");
	if ($target_ui['exists'] != 1) {
		$errmsg[] = "user does not exists anymore";
		break;
	}

	$repo_rights_more['target_user'] = $target_ui['username'];
	$repo_rights_more['rights'] = $r['rights'];
	break;
}

// Adding
while ($grant == 1) {
	if (!rg_token_valid($db, $sid, $token)) {
		$errmsg[] = "invalid token; try again";
		break;
	}

	// lookup user
	$_ui = rg_user_info($db, 0, $target_user, "");
	if ($_ui['exists'] != 1) {
		$errmsg[] = "user [$target_user] does not exists";
		rg_log("User $target_user does not exists (" . rg_repo_error() . ")!");
		break;
	}

	$e = rg_repo_rights_set($db, $ri, $_ui['uid'], $rights);
	if ($e === FALSE) {
		$errmsg[] = rg_repo_error();
		break;
	}

	// no need to pre-fill user beause was just added
	$repo_rights_more['target_user'] = "";
	$repo_rights_more['rights'] = "";
	break;
}

$repo_rights_more['rg_form_token'] = rg_token_get($db, $sid);
$repo_rights_more['HTML:errmsg'] = rg_template_errmsg($errmsg);
$repo_rights_more['HTML:del_errmsg'] = rg_template_errmsg($del_errmsg);
$repo_rights_more['HTML:rights_checkboxes'] = rg_rights_checkboxes("repo", $rights);

// list rights
$rights_list = rg_repo_rights_load($db, $ri);
if ($rights_list === FALSE)
	$_rights .= rg_warning("Cannot load rights. Try later.");
else
	$_rights .= rg_template_table("user/repo/rights/list", $rights_list, $repo_rights_more);

$_rights .= "<br />\n";

$_rights .= rg_template("user/repo/rights/form.html", $repo_rights_more);

// hints
$hints = array();
$hints[]['HTML:hint'] = rg_template("hints/repo/edit_rights.html", $repo_rights_more);
$_rights .= rg_template_table("hints/list", $hints, $repo_rights_more);
?>
