<?php
rg_log("/inc/user/repo/bug/main");

$repo_bug_more = $repo_more;
$_bug_body = "";

$repo_bug_more['can_save'] = $login_ui['uid'] > 0 ? 1 : 0;

$_op = empty($paras) ? "list" : array_shift($paras);
switch ($_op) {
case 'search':
	include($INC . "/user/repo/bug/search/search.php");
	$_bug_body .= $_bug_search;
	break;

case 'add':
	include($INC . "/user/repo/bug/add/add.php");
	$_bug_body .= $_bug_add;
	break;

case 'list': /* list */
	$_search = empty($paras) ? "All" : array_shift($paras);

	// Somebody pressed "Remove" button?
	if (rg_var_uint("remove") == 1) {
		if (!rg_token_valid($db, $sid, $token)) {
			$_bug_body .= rg_warning("Error: invalid token. Try again."); // TODO
			exit(1); // security_violation!
		}

		$r = rg_bug_search_remove($db, $ri['repo_id'], $login_ui['uid'],
			$_search);
		if ($r === FALSE)
			$_bug_body .= rg_warning("Error: cannot delete search!"); // TODO
	}

	$r = rg_bug_search_load_all($db, $ri['repo_id'], $login_ui['uid']);
	if ($r === FALSE) {
		$_bug_body .= rg_warning("Error: cannot load all searches!"); // TODO
	} else {
		$_bug_body .= rg_template_table("repo/bug/search/list",
				$r, $repo_bug_more);
	}

	$filter = rg_bug_search_load($db, $ri['repo_id'], $login_ui['uid'], $_search);
	if ($filter === FALSE) {
		$_bug_body .= rg_warning("Error: cannot load search!"); // TODO
		$filter = array();
	}

	if (isset($filter['name']))
		$repo_bug_more['search_name'] = $filter['name'];

	$r = rg_bug_search($db, $ri['repo_id'], $login_ui['uid'], $filter);
	if ($r === FALSE)
		$_bug_body .= rg_warning("Error: Cannot search bugs!"); // TODO: do something OK here!
	else
		$_bug_body .= rg_template_table("repo/bug/list", $r, $repo_bug_more);

	// Show remove for custom search
	// TODO: don't we check for uid also? Security problems?
	if (isset($filter['standard']) && ($filter['standard'] == 0)) {
		$_remove_more = $repo_bug_more;
		$_remove_more['rg_form_token'] = rg_token_get($db, $sid);
		$_remove_more['search_remove_errmsg'] = "";
		$_bug_body .= rg_template("repo/bug/search/remove.html",
			$_remove_more);
	}
	break;

default: // go directly to a bug
	$bug_id = intval($_op);
	if ($bug_id > 0) {
		include($INC . "/user/repo/bug/show/show.php");
		$_bug_body .= $_bug_show;
	}
}

$repo_bug_more['HTML:bug_body'] = $_bug_body;
$bug_body = rg_template("repo/bug/main.html", $repo_bug_more);
?>
