<?php
rg_log("/inc/user/repo/bug/show/add_note");

$note_add_doit = rg_var_uint("note_add_doit");

$add_note_more = $repo_bug_show_more;
$note = "";

$note_errmsg = array();
if ($note_add_doit == 1) {
	do {
		$note = rg_var_str("note");

		if (!rg_token_valid($db, $sid, $token)) {
			$note_errmsg[] = "Invalid token. Try again.";
			break;
		}

		if (empty($note)) {
			$note_errmsg[] = "Cannot be empty";
			break;
		}

		// add note
		$_d = array();
		$_d['note'] = $note;
		$ret = rg_bug_note_add($db, $ri['repo_id'], $bug_id, $login_ui['uid'], $_d);
		if ($ret === FALSE) {
			$note_errmsg[] = "Cannot add note (" . rg_bug_error() . ")";
			break;
		}

		// allow another note to be added
		$note = "";
	} while (0);
}

// add note form
$add_note_more['HTML:note_errmsg'] = rg_template_errmsg($note_errmsg);
$add_note_more['rg_form_token'] = rg_token_get($db, $sid);
$add_note_more['note'] = $note;
$repo_bug_show_more['HTML:note_add'] = rg_template("repo/bug/note_add.html", $add_note_more);
?>
