<?php
rg_log("/inc/user/settings");

$_settings = "";

if ($login_ui['uid'] == 0) {
	$_settings .= rg_warning("You have no access here!");
	return;
}

$errmsg = array();

$_subop = empty($paras) ? "edit_info" : array_shift($paras);

// menu
$_m = array(
	"edit_info" => array(
		"text" => "Edit info",
		"op" => "edit_info"
	),
	"change_pass" => array(
		"text" => "Change password",
		"op" => "change_pass"
	),
	"keys" => array(
		"text" => "SSH keys",
		"op" => "keys"
	)
);
rg_menu_add($rg_menu, $_m, $_subop);

switch ($_subop) {
case 'edit_info':
	include($INC . "/user/info/info.php");
	$_settings .= $_info;
	break;

case 'change_pass':
	include($INC . "/user/pass/pass.php");
	$_settings .= $_pass;
	break;

case 'keys':
	include($INC . "/user/keys/keys.php");
	$_settings .= $_keys;
	break;
}

?>
