#!/bin/bash

if [ -z "${selinux_variants}" ]; then
	selinux_variants="mls targeted minimum"
fi

if [ -z "${PRJ}" ]; then
	echo "Define PRJ first!"
	exit 1
fi

for type in ${selinux_variants}; do
	make NAME=${type} -f /usr/share/selinux/devel/Makefile
	mkdir -p out
	mv ${PRJ}.pp out/${PRJ}-${type}.pp
	make NAME=${type} -f /usr/share/selinux/devel/Makefile clean
done

# Hard link identical policies (thanks, crossfire)
/usr/sbin/hardlink -cv out