<?php
rg_log("/inc/admin/users/edit");

$uid = rg_var_str("uid");

$_user_edit = "";

$show_form = 1;
$errmsg = array();

if ($doit == 1) {
	if (!rg_token_valid($db, $sid, $token)) {
		$_user_edit .= "Invalid token. Try again.";
		return;
	}

	$xuser = rg_var_str("xuser");
	$realname = rg_var_str("realname");
	$email = rg_var_str("email");
	$xpass = rg_var_str("xpass");
	$is_admin = rg_var_uint("is_admin");
	$disk_quota_mb = rg_var_uint("disk_quota_mb");
	$rights = @rg_rights_a2s($_REQUEST['rights']);
	$session_time = rg_var_uint("session_time");

	do {
		$_ui = rg_user_info($db, 0, $xuser, "");
		if ($_ui['ok'] == 0) {
			$errmsg[] = "internal error";
			break;
		}

		if ($_ui['exists'] == 0) {
			$errmsg[] = "user does not exists";
			break;
		}

		$_u = array();
		$_u['uid'] = $uid;
		$_u['username'] = $xuser;
		$_u['realname'] = $realname;
		$_u['email'] = $email;
		$_u['pass'] = $xpass;
		$_u['is_admin'] = $is_admin;
		$_u['disk_quota_mb'] = $disk_quota_mb;
		$_u['rights'] = $rights;
		$_u['session_time'] = $session_time;
		$_u['confirm_token'] = "";
		if (!rg_user_edit($db, $_u)) {
			$errmsg[] = "cannot change info (" . rg_user_error() . ")";
			break;
		}

		$_user_edit .= "OK!<br />";
		$show_form = 0;
	} while (0);
} else {
	// TODO: Check if user has the right to edit this info!

	$_ui = rg_user_info($db, $uid, "", "");
	if ($_ui['ok'] == 0) {
		$_user_edit .= "internal error";
		$show_form = 0;
	} else if ($_ui['exists'] == 0) {
		$_user_edit .= "user does not exist";
		$show_form = 0;
	} else {
		$xuser = $_ui['username'];
		$realname = $_ui['realname'];
		$email = $_ui['email'];
		$xpass = "";
		$is_admin = $_ui['is_admin'];
		$disk_quota_mb = $_ui['disk_quota_mb'];
		$rights = $_ui['rights'];
		$session_time = $_ui['session_time'];
	}
}

if ($show_form == 1) {
	$create_mode = 0;
	$admin_mode = 1;
	$pass_mode = 1;
	include($INC . "/admin/users/user.form.php");
	$_user_edit .= $_form;
}

?>
