<?php
rg_log("/inc/user/repo/bug/add/add");

$bug_add_more = $repo_bug_more;
$_bug_add = "";
$bug_errmsg = array();

if ($doit == 0) {
	// defaults
	$_x = rg_bug_vars_defaults();
} else {
	$_x = rg_bug_vars();

	do {
		if (!rg_token_valid($db, $sid, $token)) {
			$bug_errmsg[] = "Invalid token. Try again.";
			break;
		}

		$bug_id = rg_bug_edit($db, $ri, $login_ui, $_x);
		if ($bug_id === FALSE) {
			$bug_errmsg[] = "Cannot add bug (" . rg_bug_error() . ").";
			break;
		}

		// redirect to bug home
		$url = rg_re_bugpage($page_ui, $ri['name'], $bug_id);
		rg_redirect($url);
	} while (0);
}

$bug_add_more = array_merge($bug_add_more, $_x);
$bug_add_more['HTML:bug_errmsg'] = rg_template_errmsg($bug_errmsg);
$bug_add_more['rg_form_token'] = rg_token_get($db, $sid);
$_exclude = array(0); // exclude "Any"
$bug_add_more['HTML:state_select'] = rg_bug_state_select($_x['state'], $_exclude);
$_bug_add .= rg_template("repo/bug/bug_add_edit.html", $bug_add_more);
?>
